# putAll

abstract fun putAll(entries: Map<out K, out V>)

Adds all entries from another Map to the property value.

#### Parameters

entries

a Map containing the entries to add

abstract fun putAll(provider: Provider<out Map<out K, out V>>)

Adds all entries from another Map to the property value.

The given provider will be queried when the value of this property is queried. This property will have no value when the given provider has no value.

#### Parameters

provider

the provider of the entries